﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="IFAW50L">
    <name>
        <en>IFA W50L</en>
        <de>IFA W50L</de>
    </name>
    <description></description>
    <filename>skript.pts</filename>
    <wheels autoRotateBackSpeed="2.5">
        <wheel rotSpeed="60" rotMax="34" rotMin="-34" driveMode="2" repr="0" driveNode="0" radius="0.65" deltaY="0.1" suspTravel="0.2" spring="90" damper="90" mass="0.3" />
        <wheel rotSpeed="60" rotMax="34" rotMin="-34" driveMode="2" repr="1" driveNode="1" radius="0.65" deltaY="0.1" suspTravel="0.2" spring="90" damper="90" mass="0.3" />
        <wheel rotSpeed="0" driveMode="1" repr="2" radius="0.65" deltaY="0.1" suspTravel="0.2" spring="90" damper="90" mass="0.3" />
        <wheel rotSpeed="0" driveMode="1" repr="3" radius="0.65" deltaY="0.1" suspTravel="0.2" spring="90" damper="90" mass="0.3" />
    </wheels>
	

	
	
    <motor minRpm="300" maxRpm="300 600 2300" maxTorques="30 30 -1" brakeForce="10" lowBrakeForceScale="0.5" lowBrakeForceSpeedLimit="1" forwardGearRatio="1.75" backwardGearRatio="1.0" differentialRatio="6" rpmFadeOutRange="20">
        <torque rpm="900" torque="15.5"/>
		<torque rpm="2100" torque="30"/>

		<backwardTorque rpm="300" torque="7.8"/>
		<backwardTorque rpm="500" torque="8"/>
    </motor>
	<accelerationSpeed maxAcceleration="0.25" deceleration="1" />
    <fuelCapacity>200</fuelCapacity>
    <fuelUsage>0.0045</fuelUsage>
    <downForce>4</downForce>
    <cameras count="2">
        <camera1 index="10|0" rotatable="true" rotateNode="10" limit="true" rotMinX="-1.4" rotMaxX="0" transMin="4" transMax="35" />
		<raycastNode index="12"/>
		<raycastNode index="13"/>
        <camera2 index="11" rotatable="true" limit="false" rotMinX="0" rotMaxX="0" transMin="0" transMax="0" />
    </cameras>	
    <lights count="3">
        <light1 index="4|1" />
        <light2 index="21" />
		 <light3 index="4|0|18" />
    </lights>
    
    <brakelights count="1">
        <brakelight1 index="22" />
    </brakelights>
    <flashlightsLeft count="1">
        <flashlightLeft1 index="23" />
    </flashlightsLeft>
    <flashlightsRight count="1">
        <flashlightRight1 index="24" />
    </flashlightsRight>
    <steering index="5|0" rotationSpeed="6"/>
    <exitPoint index="15" />
    <size width="7.0" length="10.0" lengthOffset="-0.4"/>
    <enterReferenceNode index="0>" />
    <components count="1">
        <component1 centerOfMass="0 -1.3 0" solverIterationCount="4" />
    </components>
    <trailerAttacherJoints>
        <trailerAttacherJoint index="7" />
        <trailerAttacherJoint index="8" />
    </trailerAttacherJoints>	
    <tipCamera index="16" />  
  
    <attachSound file="Zvuky/attach.wav" pitchOffset="1"></attachSound>
  <motorStartSound file="Zvuky/start.wav" pitchOffset="1" volume="1.0"></motorStartSound>
  <motorSound file="Zvuky/mator.wav" pitchOffset="1" pitchScale="0.02" pitchMax="1.5" volume="7.2"></motorSound>
 <motorSoundRun file="Zvuky/motor2.wav" pitchOffset="0.8" pitchScale="0.02" pitchMax="1.2" volume="6" />
  <compressedAirSound file="Zvuky/compressorWork.wav" pitchOffset="1" volume="1.5"></compressedAirSound>
  <compressionSound file="Zvuky/compressorWork.wav" pitchOffset="1" volume="1.25"></compressionSound>
  <compressedAirSound file="Zvuky/brake.wav" pitchOffset="1" volume="1"></compressedAirSound>
  <reverseDriveSound file="Zvuky/reverse.wav" volume="0.7"></reverseDriveSound>
  <motorStopSound file="Zvuky/stop.wav" pitchOffset="1"></motorStopSound>
  <hydraulicSound file="data/vehicles/steerable/fendt/hydraulicUp.wav" pitchOffset="0.9" volume="1.0"></hydraulicSound>
  <fillSound file="data/maps/sounds/siloFillSound.wav" pitchOffset="1.0" volume="1.5"></fillSound>
  <hydraulicSound file="$data/vehicles/steerable/deutz/hydraulicUp.wav" pitchOffset="0.9" volume="1.0"></hydraulicSound>
  <honkSound file="Zvuky/horn.wav" client="sounds/horn.wav" volume="1" radius="50" innerRadius="20"></honkSound>
  <fillSound file="$data/maps/sounds/siloFillSound.wav" pitchOffset="1.0" volume="1.5"></fillSound>

    <exhaustParticleSystems count="4">
	<exhaustParticleSystem1 position="0.91823 -0.64135 -1.53113" rotation="0 0 -90" file="$data/vehicles/particleSystems/exhaustParticleSystem.i3d" />
        <exhaustParticleSystem2 position="0.91823 -0.64135 -1.53113" rotation="0 0 -90" file="$data/vehicles/particleSystems/exhaustParticleSystem.i3d" />
        <exhaustParticleSystem3 position="0.91823 -0.64135 -1.53113" rotation="0 0 -90" file="$data/vehicles/particleSystems/exhaustParticleSystem.i3d" />
        <exhaustParticleSystem4 position="0.91823 -0.64135 -1.53113" rotation="0 0 -90" file="$data/vehicles/particleSystems/exhaustParticleSystem.i3d" />
    </exhaustParticleSystems>
    <wheelParticleSystems file="wheelParticleSystem.i3d" >
      
<wheelParticleSystem node="38|0" />
      
<wheelParticleSystem node="38|1" />
      
<wheelParticleSystem node="38|2" /> 
      
<wheelParticleSystem node="38|3" />
    
</wheelParticleSystems>
    <characterNode index="17" cameraMinDistance="1.5" />
    <aiTrafficCollisionTrigger index="18" />
	    <fillPlanes>
        <fillPlane type="wheat">
            <node index="19|0|0|1|2|0|0|0|0|2|0">
	                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
        <fillPlane type="barley">
               <node index="19|0|0|1|2|0|0|0|0|2|0">
                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
        <fillPlane type="maize">
                <node index="19|0|0|1|2|0|0|0|0|2|1">
                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
        <fillPlane type="rape">
                    <node index="19|0|0|1|2|0|0|0|0|2|2">
                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
           <fillPlane type="sunflower">
                  <node index="19|0|0|1|2|0|0|0|0|2|2">
                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
     <fillPlane type="manure">
                 <node index="19|0|0|1|2|0|0|0|0|2|3">
                <key time="0" y="-0.1124" scale="0.52 0.01 0.485"/>
                <key time="1" y="-1.40565" scale="0.52 0.5 0.485"/>
            </node>
        </fillPlane>
		 <fillPlane type="chaff">
            <node index="19|0|0|1|2|0|0|0|0|0|0|10|5">
                <key time="0"     y="0.01721"  scale="0.145 0.152 0.01"/>
				 <key time="0.65" y="0.01721"  scale="0.145 0.152 0.15314"/>
                 <key time="0.7" y="0.01721"  scale="0.15314 0.152 0.15314"/>
	             <key time="1"  y="0.01721"  scale="0.15314 0.152 0.15314"/>
            </node>
			<node index="19|0|0|1|2|0|0|0|0|0|0|10|4">
      <key time="0"     y="0.018"  scale="1 0.01 1"/>
 		       <key time="0.7"  y="0.037"  scale="1 0.01 1"/>
             <key time="1"  y="0.03906"  scale="1 1 1"/>
            </node>
        </fillPlane>
    </fillPlanes>
	
	
	
	
	
	
	<anim1 index="19|0|0|1|2|0" animationClip="IfaBillentSource5"/>
	
	

    <pipeParticles>
        <pipeParticle type="wheat"node="19|0|0|1|2|0|0|2" rotation="0 0 0"  file="particleSystems/dischargeWheat1.i3d" />
        <pipeParticle type="maize" node="19|0|0|1|2|0|0|1" rotation="0 0 0" file="particleSystems/dischargeWheat1.i3d" />
        <pipeParticle type="barley" node="19|0|0|1|2|0|0|1" rotation="0 0 0" file="particleSystems/dischargeWheat1.i3d" />
        <pipeParticle type="rape" node="19|0|0|1|2|0|0|1" rotation="0 0 0"  file="particleSystems/dischargeRape1.i3d" />
    </pipeParticles>


	    <pipe index="19|2" minRot="0 -1.46793 0" maxRot="0 90 0" rotTime="2" />
    <pipe1 index="19|3" minRot="0 0 0" maxRot="0 0 0" rotTime="2" />
	    <TrailerTrigger index="19|1" />
	



    <capacity>11600</capacity>
    <tipAnimation rootNode="19|0|0|1|2|0|0" speedScale="1" clip="IfaBillentSource" />  
    
<dischargeParticleSystems>
   <dischargeParticleSystem type="wheat" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="barley" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="rape" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="chaff" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeChaff.i3d" />
        <dischargeParticleSystem type="maize" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeMaize.i3d" />
        <dischargeParticleSystem type="sunflower" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="sugarbeet" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="manure" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
    </dischargeParticleSystems> 

  <variableTip>
    <node tipSide="back"  tipIndex="19|0|0|1|2|0" animIndex="19|0|0|1|2|0|0" animClip="IfaBillentSource"  animSpeedScale="1" animTipDischargeEndTime="16000" >
        <dischargeParticleSystem type="wheat" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="barley" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="rape" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="chaff" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeChaff.i3d" />
        <dischargeParticleSystem type="maize" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeMaize.i3d" />
        <dischargeParticleSystem type="sunflower" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="sugarbeet" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="manure" node="19|0|0|1|2|0|0|1" position="0 0 0" rotation="-150 -0 180" file="particleSystems/dischargeRape.i3d" />
	</node>
	<node tipSide="left"  tipIndex="19|0|0|1|2|0" animIndex="19|0|0|1|2|0|0|0" animClip="IfaBillentSource1"  animSpeedScale="1" animTipDischargeEndTime="16000" >
        <dischargeParticleSystem type="wheat" node="19|0|0|1|2|0|0|0|1" position="0 0 0" rotation="0 90 0" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="barley" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="rape" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="chaff" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeChaff.i3d" />
        <dischargeParticleSystem type="maize" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeMaize.i3d" />
        <dischargeParticleSystem type="sunflower" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="sugarbeet" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="manure" node="19|0|0|1|2|0|0|0|1" rotation="0 90 0" file="particleSystems/dischargeRape.i3d" />
	</node>	
	<node tipSide="right"  tipIndex="19|0|0|1|2|0" animIndex="19|0|0|1|2|0|0|0|0" animClip="IfaBillentSource2"  animSpeedScale="1" animTipDischargeEndTime="16000" >
        <dischargeParticleSystem type="wheat" node="19|0|0|1|2|0|0|0|0|1" position="0 0 0" rotation="0 -90 -10" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="barley" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeWheat.i3d" />
        <dischargeParticleSystem type="rape" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="chaff" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeChaff.i3d" />
        <dischargeParticleSystem type="maize" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeMaize.i3d" />
        <dischargeParticleSystem type="sunflower" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="sugarbeet" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeRape.i3d" />
        <dischargeParticleSystem type="manure" node="19|0|0|1|2|0|0|0|0|1" rotation="0 -90 -10" file="particleSystems/dischargeRape.i3d" />
	</node>	
    </variableTip>	





  	<animationParts>
		<animationPart rootNode="19|0|1" clipName="IfaBillentSource3" startPosition="0" clipSpeed="1" loop="false" loadSave="false" numJoints="0" offSet="40" accerlation="0" deAccerlation="0" >
		</animationPart>
	</animationParts>


<animParts>
  <animPart index="4|0|17|8" id="Gas1" showHelp="false" autoReturn="true" rotMin="0 0 0" rotMax="-30 0 0" moveTime="0.2" />
  <animPart index="4|0|17|9" id="Gas2" showHelp="false" autoReturn="true" rotMin="0 0 0" rotMax="25 0 0" moveTime="0.2" />
</animParts>


<abl1  	index="4|0|17|4" minRot="0 0 0" maxRot="0 -70 0" rotTime="2" touchRotLimit="10"/>
<abl2  	index="4|0|17|3" minRot="0 0 0" maxRot="0 70 0" rotTime="2" touchRotLimit="10"/>
 <gearShifter	index="4|0|17|7" />
  <gearShifter2	index="4|5|0|0" />
   <gearShifter1	index="4|9|0" />
      <gearShifter7	index="4|3|0" />
<abl10 	index="4|2|0|0" minRot="0 0 0" maxRot="0 -86 0" rotTime="1" touchRotLimit="10"/>
<abl11 	index="4|4|0|0" minRot="0 0 0" maxRot="0 -80 0" rotTime="1" touchRotLimit="10"/>
<abl12	index="4|6|0|0" minRot="0 0 0" maxRot="0 -80 0" rotTime="1" touchRotLimit="10"/>
<abl20	index="4|7|0|0" minRot="0 0 0" maxRot="0 -75 0" rotTime="1" touchRotLimit="10"/>
<abl21	index="4|8|0|0" minRot="0 2 0" maxRot="0 -33 0" rotTime="1" touchRotLimit="10"/>


 <water>
  <water index="39" file="dog/wheelParticleSystem1.i3d" /> 
  <water index="40" file="dog/wheelParticleSystem1.i3d" /> 
  <water index="41" file="dog/wheelParticleSystem1.i3d" /> 
  <water index="42" file="dog/wheelParticleSystem1.i3d" /> 
 </water> 



    <fillRootNode index="0>" />
    <exactFillRootNode index="25" />
    <fillAutoAimTargetNode index="26" />
    <fillMassNode index="0>" />	
	
    <fillTypes fruitTypes="wheat barley rape maize chaff sunflower sugarbeet manure grass" />
    <tipReferencePoint index="9" />
    <keys>
	<input name="kezifek" key="KEY_space" />
	<input name="indexL" key="KEY_f2" />
	<input name="indexR" key="KEY_f3" />
	<input name="elakadas" key="KEY_f4" />
	<input name="tavolsagi" key="KEY_r" />
    </keys>
</vehicle>
